$ErrorActionPreference = 'Stop';

$packageName = 'MobaXTerm'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.mobatek.net/10420170816103227/MobaXterm_Installer_v10.4.zip'
$url64      = 'http://download.mobatek.net/10420170816103227/MobaXterm_Installer_v10.4.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '169e3476931f070982dffb3af3b990d5f6ac3c5197a03ba4323fec1e3d5955c6'
  checksumType  = 'sha256'
  checksum64    = '169e3476931f070982dffb3af3b990d5f6ac3c5197a03ba4323fec1e3d5955c6'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'MSI'
  file          = Join-Path $toolsDir 'MobaXterm_installer.msi'
  file64        = Join-Path $toolsDir 'MobaXterm_installer.msi'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs
